﻿#region Copyright And Revision History

/*---------------------------------------------------------------------------

	Copyright © 2007 Bill Menees.  All rights reserved.
	Bill@Menees.com

	$History: BaseConverterToolWindow.cs $
	
	*****************  Version 1  *****************
	User: Bill         Date: 11/28/07   Time: 9:23p
	Created in $/CSharp/MeneesVSTools/2008

-----------------------------------------------------------------------------*/

#endregion

#region Using Directives

using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;
using EnvDTE80;
using EnvDTE;

#endregion

namespace Menees.VSTools
{
	internal class BaseConverterToolWindow : ToolWindow
	{
		#region Constructors

		public BaseConverterToolWindow(DTE2 application, AddIn addin)
			: base(application, addin, "{32FB945A-CFFD-4cb4-B80F-30F437182112}")
		{
		}

		#endregion

		#region Public Properties

		public override string Name { get { return "Base Converter"; } }

		public override Type UserControlType { get { return typeof(BaseConverterControl); } }

		public override Image TabPicture { get { return Properties.Resources.BaseConverter; } }

		public override string StateData
		{
			get
			{
				return Settings.Default.BaseConverterWindowStateData;
			}
			set
			{
				Settings.Default.BaseConverterWindowStateData = value;
			}
		}

		#endregion
	}
}
