#region Copyright And Revision History

/*---------------------------------------------------------------------------

	Copyright  2005 Bill Menees.  All rights reserved.
	Bill@Menees.com

	$History: SortDlg.cs $
	
	*****************  Version 1  *****************
	User: Bill         Date: 11/28/07   Time: 9:23p
	Created in $/CSharp/MeneesVSTools/2008
	
	*****************  Version 2  *****************
	User: Bill         Date: 5/08/05    Time: 10:07a
	Updated in $/CSharp/MeneesVSTools/2005
	
	*****************  Version 1  *****************
	User: Bill         Date: 5/01/05    Time: 9:57a
	Created in $/CSharp/MeneesVSTools/2005

-----------------------------------------------------------------------------*/

#endregion

#region Using Directives

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

#endregion

namespace Menees.VSTools
{
	public partial class SortDlg : Form
	{
		#region Constructors

		public SortDlg()
		{
			InitializeComponent();
		}

		#endregion

		#region Public Methods

		public bool Execute()
		{
			chkShiftOnly.Checked = Settings.Default.SortDlgOnlyWhenShift;
			chkCaseSensitive.Checked = Settings.Default.SortCaseSensitive;
			chkCompareByOrdinal.Checked = Settings.Default.SortOrdinalCompare;
			chkAscending.Checked = Settings.Default.SortAscending;
			chkIgnoreWS.Checked = Settings.Default.SortIgnoreWS;
			chkEliminateDuplicates.Checked = Settings.Default.SortEliminateDuplicates;

			if (ShowDialog() == DialogResult.OK)
			{
				Settings.Default.SortDlgOnlyWhenShift = chkShiftOnly.Checked;
				Settings.Default.SortAscending = chkAscending.Checked;
				Settings.Default.SortCaseSensitive = chkCaseSensitive.Checked;
				Settings.Default.SortOrdinalCompare = chkCompareByOrdinal.Checked;
				Settings.Default.SortIgnoreWS = chkIgnoreWS.Checked;
				Settings.Default.SortEliminateDuplicates = chkEliminateDuplicates.Checked;
				return true;
			}

			return false;
		}

		#endregion
	}
}