#region Copyright And Revision History

/*---------------------------------------------------------------------------

	Copyright  2005 Bill Menees.  All rights reserved.
	Bill@Menees.com

	$History: Enumerations.cs $
	
	*****************  Version 1  *****************
	User: Bill         Date: 11/28/07   Time: 9:23p
	Created in $/CSharp/MeneesVSTools/2008
	
	*****************  Version 2  *****************
	User: Bill         Date: 3/12/07    Time: 10:50a
	Updated in $/CSharp/MeneesVSTools/2005
	Updated to v1.1.
	
	*****************  Version 1  *****************
	User: Bill         Date: 5/08/05    Time: 9:33a
	Created in $/CSharp/MeneesVSTools/2005

-----------------------------------------------------------------------------*/

#endregion

#region Using Directives

using System;
using System.Collections.Generic;
using System.Text;

#endregion

namespace Menees.VSTools
{
	#region Language

	internal enum Language
	{
		Unknown,
		CPlusPlus,
		HTML,
		XML,
		VB,
		CSharp,
		CSS,
		PlainText,
		SQL,
		IDL,
		VBScript,
		JScript
	}

	#endregion

	#region NumericBase

	internal enum NumberBase
	{
		Binary = 2,
		Decimal = 10,
		Hex = 16
	}

	#endregion

	#region ByteOrder

	internal enum ByteOrder
	{
		Numeric = 0,
		LittleEndian = 1,
		BigEndian = 2
	}

	#endregion

	#region DataType

	internal enum DataType
	{
		Byte = 0,
		Short = 1,
		Int = 2,
		Long = 3,
		Single = 4,
		Double = 5,
		Decimal = 6,
		SignedByte = 7,
		UnsignedShort = 8,
		UnsignedInt = 9,
		UnsignedLong = 10,
	}

	#endregion
}
